export declare function unwrapContent<T extends object, U extends {
    content: (T | U)[];
}>(content: Iterable<T | U>, exclude?: ReadonlySet<T | U>): T[];
export type Chunk<T> = {
    size: number;
    content: (T | Chunk<T>)[];
    type: string | null;
};
export declare function chunkProse<T extends {
    text: string;
}>(tokens: T[], from?: number, endBefore?: string): Chunk<T>[];
